import type { BuilderBlock } from "../types/builder-block.js";
export declare type RenderBlockProps = {
    blocks?: BuilderBlock[];
    parent?: string;
    path?: string;
    styleProp?: Record<string, any>;
};
export declare const className: (props: any, state: any, builderContext: any) => string;
export declare const onClick: (props: any, state: any, builderContext: any) => void;
export declare const onMouseEnter: (props: any, state: any, builderContext: any) => void;
export declare const RenderBlocks: import("@builder.io/qwik").Component<RenderBlockProps>;
export default RenderBlocks;
export declare const STYLES = ".div-RenderBlocks { \ndisplay: flex;\nflex-direction: column;\nalign-items: stretch; }";
