interface CustomFont {
    family?: string;
    kind?: string;
    fileUrl?: string;
    files?: {
        [key: string]: string;
    };
}
interface Props {
    cssCode?: string;
    customFonts?: CustomFont[];
}
export declare const getCssFromFont: (props: any, state: any, font: CustomFont) => string;
export declare const getFontCss: (props: any, state: any, { customFonts, }: {
    customFonts?: CustomFont[] | undefined;
}) => string;
export declare const injectedStyles: (props: any, state: any) => string;
export declare const RenderContentStyles: import("@builder.io/qwik").Component<Props>;
export default RenderContentStyles;
