export declare type Nullable<T> = T | null | undefined;
export declare type Dictionary<T> = {
    [key: string]: T;
};
export declare type Overwrite<T, U> = keyof U extends keyof T ? Pick<T, Exclude<keyof T, keyof U>> & U : never;
