export interface VideoProps {
    attributes?: any;
    video?: string;
    autoPlay?: boolean;
    controls?: boolean;
    muted?: boolean;
    loop?: boolean;
    playsInline?: boolean;
    aspectRatio?: number;
    width?: number;
    height?: number;
    fit?: "contain" | "cover" | "fill";
    position?: "center" | "top" | "left" | "right" | "bottom" | "top left" | "top right" | "bottom left" | "bottom right";
    posterImage?: string;
    lazyLoad?: boolean;
}
export declare const videoProps: (props: any, state: any) => {
    playsInline?: boolean | undefined;
    loop?: boolean | undefined;
    controls?: boolean | undefined;
    muted?: boolean | undefined;
    autoPlay?: boolean | undefined;
};
export declare const spreadProps: (props: any, state: any) => any;
export declare const Video: import("@builder.io/qwik").Component<VideoProps>;
export default Video;
