import type { BuilderContextInterface } from "../../context/types.js";
import type { BuilderBlock } from "../../types/builder-block.js";
export declare type BlockStylesProps = {
    block: BuilderBlock;
    context: BuilderContextInterface;
};
export declare const useBlock: (props: any, state: any) => BuilderBlock;
export declare const css: (props: any, state: any) => string;
export declare const BlockStyles: (props: BlockStylesProps & {
    key?: any;
}) => import("@builder.io/qwik/jsx-runtime").JSX.Element;
export default BlockStyles;
