import type { BuilderContextInterface } from "../../context/types.js";
import type { BuilderBlock } from "../../types/builder-block.js";
import type { RenderComponentProps } from "./render-component";
import type { RepeatData } from "./types.js";
export declare type RenderBlockProps = {
    block: BuilderBlock;
    context: BuilderContextInterface;
};
export declare const component: (props: any, state: any) => any;
export declare const tag: (props: any, state: any) => string;
export declare const useBlock: (props: any, state: any) => any;
export declare const attributes: (props: any, state: any) => {
    style?: CSSStyleDeclaration | Record<string, string | undefined> | undefined;
    'builder-id': string | undefined;
    class: string;
};
export declare const shouldWrap: (props: any, state: any) => boolean;
export declare const renderComponentProps: (props: any, state: any) => {
    blockChildren: any;
    componentRef: any;
    componentOptions: any;
    context: {
        apiKey: any;
        state: any;
        content: any;
        context: any;
        registeredComponents: any;
        inheritedStyles: Partial<CSSStyleDeclaration>;
    };
};
export declare const useChildren: (props: any, state: any) => any;
export declare const childrenWithoutParentComponent: (props: any, state: any) => any;
export declare const repeatItemData: (props: any, state: any) => RepeatData[] | undefined;
export declare const inheritedTextStyles: (props: any, state: any) => Partial<CSSStyleDeclaration>;
export declare const childrenContext: (props: any, state: any) => {
    apiKey: any;
    state: any;
    content: any;
    context: any;
    registeredComponents: any;
    inheritedStyles: Partial<CSSStyleDeclaration>;
};
export declare const renderComponentTag: (props: any, state: any) => import("@builder.io/qwik").Component<RenderComponentProps> | "RenderComponent";
export declare const RenderBlock: (props: RenderBlockProps & {
    key?: any;
}) => import("@builder.io/qwik/jsx-runtime").JSX.Element;
export default RenderBlock;
